@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
:root {
  --main-white: #f0f0f0;
  --main-red: #be3144;
  --main-blue: #45567d;
  --main-gray: #303841;
  --background: #ffffff;
  --nav-and-header: #007bff;
  --links-and-buttons: #ffa500;
  --hover-higlight: #32cd32;
  --conatainer: #f5f5f5;
  --container-text: #003366;
  --input-placeholder: #c0c0c0;
}
* {
  padding: 0;
  margin: 0;
}

html,
body {
  height: 100%;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

.skill {
  background: var(--conatainer);
  
}
.skills-head{
 
  margin-top: 4rem;
  margin-bottom: 3rem;
}
.skill h1 {
  font-family: "Poppins", sans-serif;
  color: var(--container-text);
}

.card-title h3 {
  font-family: "Roboto", sans-serif !important;
  color: var(--container-text);
}

.hexagon-icon {
  display: flex !important;
  justify-content: center;
  align-items: center;
  flex-direction: row;
  flex-wrap: wrap;
}
.icon-items {
  width: 100%;
  background-color: red;
  display: flex;
}
.hexagon-icon span {
  border-radius: 50%;
  background: #ffffff;
  box-shadow: 20px 20px 60px #d9d9d9, -20px -20px 60px #ffffff;
  margin: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.hexagon-icon i {
  font-size: 3rem;
  transition: ease 0.3s;
}
.hexagon-icon i:hover {
  scale: 1.1;
  transition: ease 0.3s;
}
.icon-box {
  background: #ffffff;
}





@media (max-width:950px) {
  .navbar button{
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .nav-ul-items{
    display: flex ;
    flex-direction: column !important;
    align-items: start !important;
    display: none;

  }
  .vertical-nav-ul {
    display: flex;
    flex-direction: column;
  }
  .navbar button {
    position: fixed;
  }
  .navbar button i{
    position: fixed;
  }
  i.fa-solid.fa-times{
    color: red;
    background: var(--nav-and-header);
    position: fixed;
    top: 1rem;
  }
  .vertical-nav-ul {
    display: flex;
    position: fixed;
    top: 3.7rem;
    width: 25%;
  }
}
@media (max-width:650px) {
  .nav-ul-items{
    display: flex ;
    flex-direction: column !important;
    align-items: start !important;
    display: none;

  }
  .navbar button{
    display: flex;
    background: transparent;
  }
  .vertical-nav-ul {
    display: flex;
    position: fixed;
    top: 3.6rem;
   
    width: 25%;

  }
  
}
@media (max-width:500px) {
  .vertical-nav-ul {
    display: flex;
    position: fixed;
    top: 3.6rem;
    width: 60%;
  }
 
}
 
